searchNodes=[{"ref":"RateLimiting.html","title":"RateLimiting","type":"module","doc":"A rate limiting plugin that validates whether source IP address is allowed to make a connection."},{"ref":"RateLimiting.html#allow?/1","title":"RateLimiting.allow?/1","type":"function","doc":"Checks whether source ip address is allowed to make request based on max requests count within a minute. Assumes that input is of IPv4 format, 1.2.3.4. Examples iex&gt; RateLimiting.allow?(&quot;1.2.3.4&quot;) {:error, response} -&gt; %RateLimiting.Config{ interval_seconds: 60, max_requests: 100, time_request_made: %Time{}, response_code: 429, response_message: &quot;Rate limit exceeded. Try again in 60 seconds.&quot;, source_ip_address: &quot;1.2.3.4&quot; valid? false }"},{"ref":"RateLimiting.Config.html","title":"RateLimiting.Config","type":"module","doc":""},{"ref":"RateLimiting.Registry.html","title":"RateLimiting.Registry","type":"module","doc":""},{"ref":"RateLimiting.Registry.html#child_spec/1","title":"RateLimiting.Registry.child_spec/1","type":"function","doc":"Returns a specification to start this module under a supervisor. See Supervisor."},{"ref":"RateLimiting.Registry.html#create/2","title":"RateLimiting.Registry.create/2","type":"function","doc":""},{"ref":"RateLimiting.Registry.html#delete/2","title":"RateLimiting.Registry.delete/2","type":"function","doc":""},{"ref":"RateLimiting.Registry.html#init/1","title":"RateLimiting.Registry.init/1","type":"function","doc":"Invoked when the server is started. start_link/3 or start/3 will block until it returns. init_arg is the argument term (second argument) passed to start_link/3. Returning {:ok, state} will cause start_link/3 to return {:ok, pid} and the process to enter its loop. Returning {:ok, state, timeout} is similar to {:ok, state}, except that it also sets a timeout. See the &quot;Timeouts&quot; section in the module documentation for more information. Returning {:ok, state, :hibernate} is similar to {:ok, state} except the process is hibernated before entering the loop. See c:handle_call/3 for more information on hibernation. Returning {:ok, state, {:continue, continue}} is similar to {:ok, state} except that immediately after entering the loop the c:handle_continue/2 callback will be invoked with the value continue as first argument. Returning :ignore will cause start_link/3 to return :ignore and the process will exit normally without entering the loop or calling c:terminate/2. If used when part of a supervision tree the parent supervisor will not fail to start nor immediately try to restart the GenServer. The remainder of the supervision tree will be started and so the GenServer should not be required by other processes. It can be started later with Supervisor.restart_child/2 as the child specification is saved in the parent supervisor. The main use cases for this are: The GenServer is disabled by configuration but might be enabled later. An error occurred and it will be handled by a different mechanism than the Supervisor. Likely this approach involves calling Supervisor.restart_child/2 after a delay to attempt a restart. Returning {:stop, reason} will cause start_link/3 to return {:error, reason} and the process to exit with reason reason without entering the loop or calling c:terminate/2. Callback implementation for GenServer.init/1."},{"ref":"RateLimiting.Registry.html#lookup/2","title":"RateLimiting.Registry.lookup/2","type":"function","doc":"Looks up the bucket pid for name stored in table. Returns {:ok, pid} if the bucket exists, :error otherwise."},{"ref":"RateLimiting.Registry.html#start_link/1","title":"RateLimiting.Registry.start_link/1","type":"function","doc":""},{"ref":"RateLimiting.Registry.html#update/2","title":"RateLimiting.Registry.update/2","type":"function","doc":""},{"ref":"RateLimiting.Request.html","title":"RateLimiting.Request","type":"module","doc":""},{"ref":"RateLimiting.Request.html#allow?/1","title":"RateLimiting.Request.allow?/1","type":"function","doc":""},{"ref":"RateLimiting.Request.html#duration_expired?/1","title":"RateLimiting.Request.duration_expired?/1","type":"function","doc":""},{"ref":"RateLimiting.Request.html#duration_left/1","title":"RateLimiting.Request.duration_left/1","type":"function","doc":""},{"ref":"RateLimiting.Request.html#get_duration/1","title":"RateLimiting.Request.get_duration/1","type":"function","doc":""},{"ref":"RateLimiting.Request.html#parse_error_message/1","title":"RateLimiting.Request.parse_error_message/1","type":"function","doc":""},{"ref":"RateLimiting.Request.html#update_status/1","title":"RateLimiting.Request.update_status/1","type":"function","doc":""},{"ref":"RateLimiting.Request.html#update_status/2","title":"RateLimiting.Request.update_status/2","type":"function","doc":""},{"ref":"RateLimiting.Request.html#valid?/1","title":"RateLimiting.Request.valid?/1","type":"function","doc":""},{"ref":"RateLimiting.Request.html#valid_duration?/1","title":"RateLimiting.Request.valid_duration?/1","type":"function","doc":""},{"ref":"RateLimiting.Request.html#valid_request_count?/1","title":"RateLimiting.Request.valid_request_count?/1","type":"function","doc":""},{"ref":"RateLimiting.Supervisor.html","title":"RateLimiting.Supervisor","type":"module","doc":""},{"ref":"RateLimiting.Supervisor.html#init/1","title":"RateLimiting.Supervisor.init/1","type":"function","doc":""}]